> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pingmee.co.il/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Customers

> Creates new customers



## OpenAPI

````yaml PUT /customers
openapi: 3.1.0
info:
  title: Pingmee API
  description: A complete guide to Pingmee micro service architecture.
  version: 1.0.0
servers:
  - url: https://api.pingmee.co.il
security:
  - cookieAuth: []
    ApiKeyAuth: []
paths:
  /customers:
    servers:
      - url: https://campaigns.pingmee.co.il
        description: Campaigns service
    put:
      description: Creates new customers
      requestBody:
        description: A list of customers to create
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCustomer'
        required: true
      responses:
        '201':
          description: Customers created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Customer'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CreateCustomer:
      type: object
      required:
        - customerName
        - phoneNumberId
        - countryCode
      properties:
        profileImage:
          type:
            - string
            - 'null'
          description: >-
            Profile image URL if available, if not provided we try and find a
            matching profile picture for that phone number.
        customerName:
          type: string
          description: Customer full name
        customerNickname:
          type: string
          description: >-
            Custom name to identify the customer in the business (not seen by
            the end user)
        description:
          type: string
          description: >-
            Free-text note / description controlled by the business (shown in
            the conversation sidebar)
        email:
          type: string
          format: email
          description: Customer email address
        phoneNumberId:
          type: string
          description: Phone number identifier including country code. (9725xxxxxxxx)
      additionalProperties: false
    Customer:
      type: object
      required: []
      properties:
        profileImage:
          type:
            - string
            - 'null'
          description: Profile image URL if available
        customerName:
          type: string
          description: The name from WhatsApp or the originating platform
        customerNickname:
          type: string
          description: The name the business gave the customer
        description:
          type: string
          description: >-
            Free-text note / description controlled by the business (shown in
            the conversation sidebar)
        createdAt:
          type: number
          description: Unix timestamp (milliseconds) when the customer was created
        lastActiveAt:
          type: number
          description: Unix timestamp (milliseconds) when the customer was last active
        email:
          type: string
          format: email
          description: Customer email address
        platform:
          type: string
          enum:
            - whatsapp
            - instagram
            - facebookMessenger
          description: Messaging platform the customer is associated with
        phoneNumberId:
          type: string
          description: Platform-specific phone number identifier
        countryCode:
          type: string
          description: Country calling code
        associatedTo:
          type: string
          description: Business or account the customer is associated with
        parsedPhoneNumber:
          type: string
          description: Normalized phone number if available
      additionalProperties: false
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: string
        message:
          type: string
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: header
      name: Cookie
      description: Personal access token from Pingmee Settings → Developer Tools
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Business API key from Pingmee Settings → Developer Tools

````